from src import trader
from datetime import datetime
from src.data import Channel


def test_message_from():
    text = '2021/03/08 23:24:52 17931875 bb3 [INFO Client 1492] @From NyhaiPuki: Hi, I would like to buy your level 21 23% Vaal Impurity of Lightning ' \
        'listed for 18 chaos in Ritual (stash tab "$"; position: left 22, top 5)'
    message = trader.parse_log(text)
    assert message.user == 'NyhaiPuki'
    assert message.message == 'Hi, I would like to buy your level 21 23% Vaal Impurity of Lightning ' \
        'listed for 18 chaos in Ritual (stash tab "$"; position: left 22, top 5)'
    assert message.date == datetime(2021, 3, 8, 23, 24, 52)
    assert message.channel == Channel.WHISPER
    assert message.guild is None
    assert message.to_from == 'From'
    assert message.trade.amount == 18
    assert message.trade.col == 22
    assert message.trade.row == 5
    assert message.trade.currency == 'chaos'
    assert message.trade.item == 'level 21 23% Vaal Impurity of Lightning'
    assert message.trade.league == 'Ritual'
